LibreOffice 7.1.1.2 - No SDBC driver was found

asked 2021-05-04 02:57:12 +0200

fgotsis gravatar image

The connection to the external data source could not be established. No SDBC driver was found for the URL 'sdbc:embedded:firebird'. /home/abuild/rpmbuild/BUILD/libreoffice-7.1.1.2/connectivity/source/commontools/dbexception.cxx:399

I get the following error message using the latest version on a Linux machine running OpenSuse Leap 15.2 (wirh all updates installed). The database does start, but opening a form which accessed data created the above error message.

But the problem just does not exist at all if I use LibreOffice 7.0.5.2 (using the OpenSuse OpenJDK 1.11). The database was an embedded database (in a file) created with hsqldb and was converted to firebird in 2019 nad kept working in LibreOffice until version 7.1.1. With older versions of libreoffice the database runs without a glitch.

The SDBC driver seems to exist.

Strange. For now I do have a workaround. But I do miss a an Option dialog that shows the available SDBC drivers and some explanation where to get drivers. In any case firebird is the mainly supported database, so libreoffice should implement a way to recover this error or give more specific information what might lead to such an error.

Kind Regards Gotsis from Munich, Germany

edit retag flag offensive close merge delete

Comments

The SDBC driver seems to exist.

seems? ... package libobasis7.1-firebird-7.1.1.2-2.x86_64.rpm is installed? (Though I would not recommend to use version 7.1.1 any longer).


PS: Using tag libreoffice-7.1.2 is confusing. You seem to talk about version 7.1.1.

Opaque gravatar imageOpaque ( 2021-05-04 11:36:36 +0200 )edit

Version of libreoffice copied from the about box

Version: 7.1.1.2 / LibreOffice Community Build ID: 10(Build:2) CPU threads: 24; OS: Linux 5.3; UI render: default; VCL: kf5 Locale: de-DE (en_US.UTF-8); UI: en-US Calc: threaded

The package you mention does not exist in OpenSuse Leap 15.2 The package that is supplied is:

libreoffice-base-drivers-firebird - Firebird Database Driver for LibreOffice

/usr/lib64/libreoffice/program/libfirebird_sdbclo.so

fgotsis gravatar imagefgotsis ( 2021-05-06 01:40:53 +0200 )edit

The package you mention does not exist in OpenSuse Leap 15.2

Since you did not mention which packages you are using (distribution specific packages or those from TDF / libreoffice.org) I referred to TDF packages which is: libobasis7.1-firebird-7.1.1.2-2.x86_64.rpm (I'm using openSUSE 15.2 myself, but I don't use distribution specific packages but those from TDF). And as far as I can see in YaST: Package libreoffice-base-drivers-firebird is still 6.4.5.2 while the rest of LibreOffice has been updated to 7.1.1.2-2 - and now you cannot create new firebird databases (and not open existing firebird databases. From my perspective: This is an issue of openSUSE packaging and needs to be addressed to maintainers of openSUSE packages of LibreOffice.

PS: No problem with:

Version: 7.1.3.2 / LibreOffice Community
Build ID: 47f78053abe362b9384784d31a6e56f8511eb1c1
CPU threads: 8; OS: Linux 5 ...
(more)
Opaque gravatar imageOpaque ( 2021-05-06 01:49:39 +0200 )edit